require src::TaktukWrapper;


#Test
$expected = "taktuk -s -m machine";
$machines = ['machine'];
$got = taktuk_generate($machines);
is($expected,$got,"Should generate correct taktuk command for 1 machine");

#Test
$expected = "taktuk -s -m machine -m machine2";
$machines = ['machine','machine2'];
$got = taktuk_generate($machines);
is($expected,$got,"Should generate correct taktuk command for 2 machines");